Bug 458177 - 4.7 x86_64smp PVLibs not all loading on 5.2 host
4.7 x86_64smp PVLibs not all loading on 5.2 host
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xenpv-kmod (Show other bugs)
5.2
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Don Dutile
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-06 17:16 EDT by Steve Reichard
Modified: 2009-12-14 16:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-03 11:43:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Reichard 2008-08-06 17:16:10 EDT
Description of problem:

Only xen_vnif 4.7 PV-Lib (smp) module on X86-64smp AMD based machine host loaded.


Version-Release number of selected component (if applicable):
0.1-10.el4

How reproducible:
Unknown at this time


Steps to Reproduce:
1. download modversions and kmod-xenpv-smp for RHEL 4.7 from RHN
2. install RPMs on guest, change modprobe.conf's eth0
3. restart guest


  
Actual results:

Found the following in the /var/log/messages


Aug  6 19:45:23 ra-vm5 kernel: XENBUS: Device with no driver: device/vbd/768 
Aug  6 19:45:23 ra-vm5 kernel: XENBUS: Device with no driver: device/vbd/5632 
Aug  6 19:45:23 ra-vm5 kernel: XENBUS: Device with no driver: device/vif/0 

Aug  6 19:45:23 ra-vm5 kernel: kobject_register failed for xen-platform-pci (-17) 
Aug  6 19:45:23 ra-vm5 kernel: 
Aug  6 19:45:23 ra-vm5 kernel: Call Trace:<ffffffff801edf1a>{kobject_register+60} <ffffffff8024f8ec>{bus_add_driver+80} 
Aug  6 19:45:23 ra-vm5 kernel:        <ffffffff801f8b94>{pci_register_driver+119} <ffffffffa010300d>{:xen_platform_pci:platform_pci_ 
module_init+13} 
Aug  6 19:45:23 ra-vm5 kernel:        <ffffffff80151105>{sys_init_module+278} <ffffffff801102f6>{system_call+126} 
Aug  6 19:45:23 ra-vm5 kernel:       Aug  6 19:45:23 ra-vm5 kernel: xen-platform-pci: No platform pci device model found 
Aug  6 19:45:23 ra-vm5 kernel: xen_balloon: Unknown symbol create_xen_proc_entry 


Aug  6 19:45:20 ra-vm5 modprobe: WARNING: Error inserting xen_balloon (/lib/modules/2.6.9-78.0.1.ELsmp/weak-updates/xenpv/0.1-10.el4 
/xen-balloon.ko): Unknown symbol in module, or unknown parameter (see dmesg) 






Expected results:

All 4 xen modules would have loaded.

Additional info:
Comment 1 Bill Burns 2008-08-07 08:27:33 EDT
Assigned for triage.
Comment 2 Don Dutile 2008-09-03 11:43:47 EDT
RHEL4.7 has the pv-on-hvm drivers built into the (bare-metal, FV) kernel package.
Thus, loading the kmod-xenpv-0.1.10-el4 package will result in the
kmod-xenpv modules failing when you try to (forcibly) load them.
the xen-vnif you are seeing is the one built-into the std kernel package now.

Simply put, all you have to have are the proper modprobe.d/xen 
module for xen-vbd and the alias eth[x] xen-vnif entry in the modprobe.conf
in order for the xenpv drivers to be used by the FV guest.

So, unload the kmod-xenpv package & use the in-kernel xenpv(hvm) drivers.

If you continue to have problem, either re-open this BZ, or
open a new one with a more appropriate title &/or problem statement.

Note You need to log in before you can comment on or make changes to this bug.